WITH titulos_receber AS
(
	SELECT			
		tf.data_vencimento,
		(tf.valor_principal + (tf.acrescimo_financeiro + tf.juros_cobranca + tf.multa_cobranca) - (tf.desconto_financeiro + tf.desconto_cobranca + tf.valor_taxa_administracao + tf.tarifa_transacao)) AS valor_receber
	FROM	titulo_financeiro AS tf
		INNER JOIN sis_empresa AS se ON (se.id_empresa = tf.id_empresa)
	WHERE	tf.id_empresa = :IdEmpresaObrigatorio
	AND	Date(tf.data_emissao) BETWEEN '2000-01-01' AND :DataFinal
	AND	tf.situacao IN (1,9)
	AND	(tf.natureza_titulo = 201
	OR	(tf.natureza_titulo = 221 AND
		EXISTS(SELECT 1 FROM titulo_financeiro tfn WHERE tfn.id_titulo_filho = tf.id_titulo_financeiro AND tfn.natureza_titulo = 201)))
),

valor_vencido AS
(
	select 
		'Contas a Prazo Vencidas' as descricao,
		SUM(tr.valor_receber) as valor
	from titulos_receber as tr
	where Date(tr.data_vencimento) < :DataFinal
),

valor_a_vencer AS
(
	select 
		'Contas a Prazo a Vencer' as descricao,
		SUM(tr.valor_receber) as valor
	from titulos_receber as tr
	where Date(tr.data_vencimento) >= :DataFinal
)

SELECT * FROM valor_vencido 
UNION ALL
SELECT * FROM valor_a_vencer